Description: Use CPPFLAGS.
 Necessary for hardening flags.
Author: Simon Ruderich <simon@ruderich.org>
Last-Update: 2012-03-22

Index: cxref-1.6c/src/Makefile.in
===================================================================
--- cxref-1.6c.orig/src/Makefile.in	2012-03-22 16:14:44.000000000 +0100
+++ cxref-1.6c/src/Makefile.in	2012-03-22 16:14:44.000000000 +0100
@@ -33,6 +33,7 @@
 LD=@CC@
 
 CFLAGS=@CFLAGS@
+CPPFLAGS=@CPPFLAGS@
 LDFLAGS=@LDFLAGS@
 
 # The Yacc program
@@ -175,15 +176,15 @@
 .SUFFIXES: .c .o
 
 .c.o:
-	$(CC) -c $(CFLAGS) $< -o $@ $(INCLUDE)
+	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ $(INCLUDE)
 
 cxref.o      : cxref.c      cxref.h datatype.h memory.h parse-yy.h version.h
-	[ ! -f ../cpp/cxref-cpp ] || $(CC) -c $(CFLAGS) $< -o $@ $(INCLUDE) "-DCXREF_CPP=\"$(cpp_dir)/cxref-cpp -cxref-cpp-defines $(cpp_dir)/cxref-cpp.defines -lang-c -C -dD -dI\""
-	[   -f ../cpp/cxref-cpp ] || $(CC) -c $(CFLAGS) $< -o $@ $(INCLUDE)
+	[ ! -f ../cpp/cxref-cpp ] || $(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ $(INCLUDE) "-DCXREF_CPP=\"$(cpp_dir)/cxref-cpp -cxref-cpp-defines $(cpp_dir)/cxref-cpp.defines -lang-c -C -dD -dI\""
+	[   -f ../cpp/cxref-cpp ] || $(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ $(INCLUDE)
 
 cxref-inst.o : cxref.c      cxref.h datatype.h memory.h parse-yy.h
-	[ ! -f ../cpp/cxref-cpp ] || $(CC) -c $(CFLAGS) $< -o $@ $(INCLUDE) '-DCXREF_CPP="cxref-cpp -lang-c -C -dD -dI"'
-	[   -f ../cpp/cxref-cpp ] || $(CC) -c $(CFLAGS) $< -o $@ $(INCLUDE)
+	[ ! -f ../cpp/cxref-cpp ] || $(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ $(INCLUDE) '-DCXREF_CPP="cxref-cpp -lang-c -C -dD -dI"'
+	[   -f ../cpp/cxref-cpp ] || $(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ $(INCLUDE)
 
 func.o       : func.c       cxref.h datatype.h memory.h parse-yy.h
 type.o       : type.c       cxref.h datatype.h memory.h parse-yy.h
@@ -203,7 +204,7 @@
 html.o       : html.c       cxref.h datatype.h memory.h            version.h
 html-style.o : html-style.c
 rtf.o        : rtf.c        cxref.h datatype.h memory.h            version.h
-	$(CC) -c $(CFLAGS) $< -o $@ -DPAGE=\"$(PAGE)\" $(INCLUDE)
+	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ -DPAGE=\"$(PAGE)\" $(INCLUDE)
 sgml.o       : sgml.c       cxref.h datatype.h memory.h            version.h
 
 parse-yacc.o : parse-yacc.c cxref.h datatype.h memory.h parse-yy.h parse-yacc.h
Index: cxref-1.6c/cpp/Makefile.in
===================================================================
--- cxref-1.6c.orig/cpp/Makefile.in	2004-11-06 18:29:54.000000000 +0100
+++ cxref-1.6c/cpp/Makefile.in	2012-03-22 16:18:37.193409068 +0100
@@ -35,6 +35,7 @@
 LD=@CC@
 
 CFLAGS=@CFLAGS@
+CPPFLAGS=@CPPFLAGS@
 LDFLAGS=@LDFLAGS@
 
 # The Yacc program
@@ -93,20 +94,20 @@
 ########
 
 cccp.o   : cccp.c config.h pcp.h autoconfig.h
-	$(CC) -c $(CFLAGS) $< -o $@ $(INCLUDE) -DIN_GCC \
+	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ $(INCLUDE) -DIN_GCC \
 	 '-DCXREF_CPP_DEFINES="$(datadir)/cxref-cpp.defines"'
 	@touch $@
 
 cexp.o    : cexp.c config.h autoconfig.h gansidecl.h ansidecl.h system.h libiberty.h intl.h
-	$(CC) -c $(CFLAGS) $< -o $@ $(INCLUDE) -DIN_GCC
+	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ $(INCLUDE) -DIN_GCC
 	@touch $@
 
 prefix.o  : prefix.c config.h autoconfig.h gansidecl.h ansidecl.h system.h libiberty.h prefix.h
-	$(CC) -c $(CFLAGS) $< -o $@ $(INCLUDE) -DIN_GCC -DPREFIX=\"/\"
+	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ $(INCLUDE) -DIN_GCC -DPREFIX=\"/\"
 	@touch $@
 
 version.o : version.c
-	$(CC) -c $(CFLAGS) $< -o $@ $(INCLUDE) -DIN_GCC
+	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ $(INCLUDE) -DIN_GCC
 	@touch $@
 
 ########
--- cxref-1.6c.orig/query/Makefile.in
+++ cxref-1.6c/query/Makefile.in
@@ -34,6 +34,7 @@ CC=@CC@
 LD=@CC@
 
 CFLAGS=@CFLAGS@
+CPPFLAGS=@CPPFLAGS@
 LDFLAGS=@LDFLAGS@
 
 ########
@@ -84,7 +85,7 @@ cxref-query : $(OBJ_FILES)
 .SUFFIXES: .c .o
 
 .c.o:
-	$(CC) -c $(CFLAGS) $< -o $@ $(INCLUDE)
+	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@ $(INCLUDE)
 
 query.o    : query.c   query.h ../src/cxref.h ../src/datatype.h ../src/memory.h
 input.o    : input.c   query.h ../src/cxref.h ../src/datatype.h ../src/memory.h
